aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSergey Shepelev <temotor@gmail.com>2020-05-20 22:42:35 +0300
committerSergey Shepelev <temotor@gmail.com>2020-05-20 22:42:35 +0300
commit94f48efe2ffb1caa3fbcba0598e7583df02b832a (patch)
tree92d54538d90394e0426020326f479e2e394a83b5
parent828c26d8ca1e7e3c9c3e154885c9bf3a13426cbe (diff)
downloadhttplib2-94f48efe2ffb1caa3fbcba0598e7583df02b832a.tar.gz
check-manifest build tool
-rw-r--r--.travis.yml2
-rw-r--r--MANIFEST.in5
-rw-r--r--pyproject.toml3
-rwxr-xr-xscript/release3
4 files changed, 11 insertions, 2 deletions
diff --git a/.travis.yml b/.travis.yml
index 395c507..ed1aa72 100644
--- a/.travis.yml
+++ b/.travis.yml
@@ -10,7 +10,7 @@ cache:
env:
global:
- - pip_install_common='pip>=9.0 setuptools>=36.2 wheel>=0.30'
+ - pip_install_common='pip>=9.0 setuptools>=43.0 wheel>=0.30'
python:
- 2.7
- 3.5
diff --git a/MANIFEST.in b/MANIFEST.in
index 52ce781..412def6 100644
--- a/MANIFEST.in
+++ b/MANIFEST.in
@@ -2,5 +2,10 @@ recursive-include python2 *.py *.txt
recursive-include python3 *.py *.txt
graft test
graft tests
+include *.md
+include CHANGELOG
+include LICENSE
include python2/httplib2/test/*.txt
include requirements*.txt
+global-exclude __pycache__
+global-exclude *.py[cod]
diff --git a/pyproject.toml b/pyproject.toml
index e8698a9..fa137a3 100644
--- a/pyproject.toml
+++ b/pyproject.toml
@@ -3,3 +3,6 @@ requires = ["setuptools", "wheel"]
[tool.black]
line-length = 121
+
+[tool.check-manifest]
+ignore = [".travis.yml", "script/*", "*.tex"]
diff --git a/script/release b/script/release
index 2403275..a2ff80d 100755
--- a/script/release
+++ b/script/release
@@ -90,10 +90,11 @@ interactive() {
local venv=./venv-release
if [[ ! -d "$venv" ]] ; then
virtualenv $venv
- $venv/bin/pip install -U pip setuptools wheel twine
+ $venv/bin/pip install -U check-manifest pip 'setuptools>=43.0' wheel twine
fi
$venv/bin/python setup.py clean --all
$venv/bin/python setup.py sdist bdist_wheel
+ $venv/bin/check-manifest || echo "FIXME check-manifest" >&2
if confirm "Upload to PyPI? Use in special situation, normally CI (Travis) will upload to PyPI. [yN] " ; then
$venv/bin/twine upload dist/* || exit 1